diff -rupN ./asterisk-11.19.0/addons/chan_ooh323.c ./asterisk-11x/addons/chan_ooh323.c
--- ./asterisk-11.19.0/addons/chan_ooh323.c	2015-08-07 22:42:14.000000000 +0600
+++ ./asterisk-11x/addons/chan_ooh323.c	2015-09-03 22:44:07.218845174 +0600
@@ -4080,6 +4080,7 @@ int ooh323_destroy(struct ooh323_pvt *p)
 		}
 
 		if (cur->rtp) {
+			ast_rtp_instance_stop(cur->rtp);
 			ast_rtp_instance_destroy(cur->rtp);
 			cur->rtp = NULL;
 		}
diff -rupN ./asterisk-11.19.0/addons/ooh323c/src/ooCalls.c ./asterisk-11x/addons/ooh323c/src/ooCalls.c
--- ./asterisk-11.19.0/addons/ooh323c/src/ooCalls.c	2015-08-07 22:42:14.000000000 +0600
+++ ./asterisk-11x/addons/ooh323c/src/ooCalls.c	2015-09-03 22:46:13.628001250 +0600
@@ -216,6 +216,13 @@ int ooEndCall(OOH323CallData *call)
      return OO_OK;
    }
 
+   if(call->logicalChans)
+   {
+      OOTRACEINFO3("Clearing all logical channels. (%s, %s)\n", call->callType,
+                    call->callToken);
+      ooClearAllLogicalChannels(call);
+   }
+
    if (call->callIdentifier.guid.numocts == 0) call->callState = OO_CALL_CLEARED;
 
    if(!call->pH225Channel || call->pH225Channel->sock ==0)
@@ -230,13 +237,6 @@ int ooEndCall(OOH323CallData *call)
       return OO_OK;
    }
 
-   if(call->logicalChans)
-   {
-      OOTRACEINFO3("Clearing all logical channels. (%s, %s)\n", call->callType,
-                    call->callToken);
-      ooClearAllLogicalChannels(call);
-   }
-
    if(!OO_TESTFLAG(call->flags, OO_M_ENDSESSION_BUILT))
    {
       if(call->h245SessionState == OO_H245SESSION_ACTIVE ||
